package rt.lanyo.game.ddz.model;

import android.graphics.Bitmap;

public class Card {
	public static final int FEI_JI = 31;
	public static final int LIAN_DUI = 32;
	public static final int SAN_DAI_YI = 33;
	public static final int SAN_DAI_YI_DUI = 34;
	public static final int SAN_GE = 35;
	public static final int SHUN_ZI = 36;
	public static final int SI_DAI_ER = 37;
	public static final int SI_DAI_LIANG_DUI = 38;
	public static final int WANG_ZHA = 39;
	public static final int ZHA_DAN = 40;
	public static final int BU_YAO1 = 41; //不要有4种音效
	public static final int BU_YAO2 = 42;
	public static final int BU_YAO3 = 43;
	public static final int BU_YAO4 = 44;
	
	public static final int SEND_CARD = 45;
	public static final int FLOWER = 46;
	public static final int PLANE = 47;
	public static final int BOMB = 48;
	public static final int CLEAN_CARD = 49;
	
	public static final int BU_JIAO = 50;
	public static final int YI_FEN = 51;
	public static final int ER_FEN = 52;
	public static final int SAN_FEN = 53;
	
	public static final int DA_NI1 = 54; 
	public static final int DA_NI2 = 55;
	public static final int DA_NI3 = 56;
	
	public static final int CLICK = 57;
	public static final int WIN = 58;
	public static final int LOSE = 59;
	public static final int KUAI_DIAN1 = 60;
	
	// 大小，从1到13，A到K,16表示王
	private Integer value;
	
	private Bitmap img;
	// 名称，暂时不用
	private String name;
	
	// 花色4黑，3红,2花,1方
	private Integer color;
	private Integer index;
	public static final int BIG_KING=17;
	public static final int SMALL_KING=16;
	public static final int TWO=15;
	public static final int ONE=14;
	public Card(Integer value, Bitmap img, Integer color) {
		super();
		this.value = value;
		this.img = img;
		this.color = color;
	}
	
	public Card(Integer index, Integer value, Bitmap img, Integer color) {
		this.index = index;
		this.value = value;
		this.img = img;
		this.color = color;
	}
	
	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public Bitmap getImg() {
		return img;
	}

	public void setImg(Bitmap img) {
		this.img = img;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getColor() {
		return color;
	}

	public void setColor(Integer color) {
		this.color = color;
	}


	public String toString() {
		return "Card [value=" + value + ", color=" + color + "]";
	}

}
