package rt.lanyo.game.ddz.util;

import java.lang.reflect.Type;
import java.util.Collection;
import java.util.Map;

import com.google.gson.Gson;

/**
 * Json处理类
 */
@SuppressWarnings("unchecked")
public class J {
	private static Gson gson;
	private static Gson gson() {
		if(gson==null) gson = new Gson();
		return gson;
	}
	
	public static String toJson(Object obj) {
		if(obj==null) return null;
		if(obj instanceof Collection && ((Collection)obj).isEmpty()) return null;
		if(obj instanceof Map && ((Map)obj).isEmpty()) return null;
		return gson().toJson(obj);
	}
	
	public static <T> T fromJson(String s, Class<T> calss) {
		T t = null;
		try {
			t = gson().fromJson(s, calss);
		} catch (Exception e) {
			return t;
		}
		return t;
	}
	
	public static <T> T fromJson(String s, Type type) {
		T t = null;
		try {
			t = gson().fromJson(s, type);
		} catch (Exception e) {
			return null;
		}
		if(t instanceof Collection && ((Collection)t).isEmpty()) return null;
		if(t instanceof Map && ((Map)t).isEmpty()) return null;
		return t;
	}
	
	
}
