package rt.lanyo.game.ddz.widget;

import rt.lanyo.game.ddz.R;
import rt.lanyo.game.ddz.util.G;
import android.content.Context;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Gravity;
import android.view.View;
import android.widget.Button;
/**
 * 自定义按钮
 */
public class MyBtn extends Button {

	public MyBtn(Context context, AttributeSet attrs) {
		super(context, attrs);
		setTextColor(context.getResources().getColorStateList(R.color.btn_text)); //文字颜色
		setTextSize(TypedValue.COMPLEX_UNIT_DIP, 16); //文字大小
		setGravity(Gravity.CENTER|Gravity.CENTER); //文字居中
		setBackgroundResource(R.drawable.btn); //背景
		setTypeface(G.normalType); //字体
		setSoundEffectsEnabled(true); 
		if(context instanceof View.OnClickListener) setOnClickListener((OnClickListener)context); //绑定监听器
	}
}
