package rt.lanyo.game.ddz.logic;

import java.util.List;

import rt.lanyo.game.ddz.model.Card;
import rt.lanyo.game.ddz.model.Player;


public interface IAI {
	/**
	 * 计算出玩家应该出的牌
	 * @param palyer 要计算的玩家
	 * @param lastPlayer  最后一个出牌的玩家
	 * @param lastCardStyle 最后出牌的牌型
	 * @param lastRets 最后出牌的内容
	 * @return 如果返回null，则表示不要，否则返回能满足条件的正确的牌
	 */
	List<Card> getBestCard(Player player,Player lastPlayer,CardStyle lastCardStyle,List<Card>[] lastRets);
	
	List<Card> getBestCard(Player player,Player lastPlayer,CardStyle lastCardStyle,List<Card>[] lastRets,int num);
	
	List<Card> getTipCard(Player player,Player lastPlayer,CardStyle lastCardStyle,List<Card>[] lastRets,int num);
}
